:: (c) 2003-2007 Electronic Arts Inc.
@echo off

rem Build cross reference
abstract -t15 html\ref.txt @util.lst
echo gx.doc,../gx/index,GX users guide>>html\ref.txt
echo gimex.doc,../gimex/index,Gimex SDK documentation>>html\ref.txt
echo Util,index,Util Table of Contents>>html\ref.txt
echo .viv,http://tools.eac.ea.com/gimex/release/formats/viv.htm,Big File Format Reference>>html\ref.txt

REM build index
abstract -t14 html\temp.txt @util.lst
copy /b html\toc.htm+html\temp.txt html\index.htm

REM build web pages
abstract -t13 -phtml\prefix.htm html\bob @util.lst -rhtml\ref.txt -i
copy lumpy.gif .\html

echo **LOGS
REM build devlog
abstract -t13 -m65 -o13 -rhtml\ref.txt -phtml\prefix.htm html\devtools.htm devlog-tools.txt
abstract -t13 -m65 -o13 -rhtml\ref.txt -phtml\prefix.htm html\devfontwiz.htm ..\fontwiz\devtools-fontwiz.txt

abstract -t13 -m65 -o13 -rhtml\ref.txt -phtml\prefix.htm html\devgimex.htm ..\..\..\gimex\dev\gimex\devlog-gimex.txt


REM post to the website
copy html\*.gif htm
if not exist "\\easites.ea.com\Tools-EAC\Pages\util\index.htm"  goto skipsave
echo posting to web server
robocopy html "\\easites.ea.com\Tools-EAC\Pages\util"
xcopy /c /r /d /y html\devgimex.htm "\\easites.ea.com\Tools-EAC\Pages\gimex\release\functions\devlib.htm"
goto done
:skipsave
echo can not find web server to post help files
:done

